summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Schmaus <flow@gentoo.org>2024-12-12 18:03:17 +0100
committerFlorian Schmaus <flow@gentoo.org>2024-12-12 18:03:17 +0100
commit128c22c1bff18213f9f8f70d7a0263585928ea1b (patch)
treeaa34693e85ca54b065d6496a4783938a444a7dee
parentapp-text/texlive-core: sync with ::gentoo (diff)
downloadtex-overlay-128c22c1bff18213f9f8f70d7a0263585928ea1b.tar.gz
tex-overlay-128c22c1bff18213f9f8f70d7a0263585928ea1b.tar.bz2
tex-overlay-128c22c1bff18213f9f8f70d7a0263585928ea1b.zip
texlive-module.eclass: sync with ::gentoo
Signed-off-by: Florian Schmaus <flow@gentoo.org>
-rw-r--r--eclass/texlive-module.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 4ba507d..ebd65e3 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -539,10 +539,10 @@ texlive-module_src_install() {
local status
# "success-status aware grep", returning exit status 0 instead of 1.
- sgrep() { grep "$@"; return "$(( $? <= 1 ? 0 : $? ))"; }
+ _sgrep() { grep "$@"; return "$(( $? <= 1 ? 0 : $? ))"; }
ebegin "Installing man pages"
find texmf-dist/doc/man -type f -name '*.[0-9n]' -print |
- sgrep -v "${grep_expressions[@]}" |
+ _sgrep -v "${grep_expressions[@]}" |
xargs -d '\n' --no-run-if-empty nonfatal doman
status=$(pipestatus -v)
eend $? || die "error installing man pages (PIPESTATUS: ${status})"